Introduction

7+ Taskbar Tweaker vous permet de configurer divers aspects de la barre des tâches de Windows.

La plupart des options de configuration qu'il fournit ne peuvent être modifiées à l'aide des propriétés de la barre des tâches ou du registre.

Le tweaker est conçu pour Windows 7, Windows 8, Windows 8.1 et Windows 10.

Liens

  • Page Web
  • Bug/Suivi de fonctionnalités
  • Donation

Copyright © 2009-2017 by RaMMicHaeL. All Rights Reserved.


Changelog

Introduction ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on its thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and its thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Tweaks

Les tweaks sont divisé en trois sections:

  • Objets de la barre des tâches

Contrôle les éléments de la barre des tâches liés à des choses connexes, comme le clic droit ou le clic droit, le survoltage et le décollage.

  • Groupement et Combinaison

Désactive le regroupement, permet de faire glisser les boutons de la barre des tâches entre les groupes, forcer ou désactiver la combinaison, et plus encore.

  • Autres Options de la Barre des tâches

Fournit des options pour la roulette de souris, du clic dans l'espace vide de la barre des tâches et d'autres options.


Objets Barre des tâches

Tweaks ››

Terminologie

Options

  • Clic droit
  • Clic milieu
  • Déposer
  • Survol
  • Vignettes
  • Objets épinglés


Clic droit

Tweaks ›› Objets Barre des tâches ››

Définit le menu à afficher lorsque vous cliquez avec le bouton droit de la souris sur un élément de la barre des tâches:

  • Jump list (default)

  • Menu Windows standard

Note

Maintenez la touche Maj enfoncée et cliquez avec le bouton droit de la souris sur un élément de la barre des tâches pour afficher l'autre menu.


Clic milieu

Tweaks ›› Objets Barre des tâches ››

Définit l'action à effectuer lorsque vous cliquez sur un élément de la barre des tâches avec le clic du milieu:

  • Nouvelle instance de programme (default)
  • Basculer vers
  • Minimiser
  • Fermer


Déposer

Tweaks ›› Objets Barre des tâches ››

Définit l'action à effectuer lorsque vous déposez un fichier sur un élément de la barre des tâches:

  • Passer à (default)

  • Ouvrir avec

Note

Maintenez la touche Maj enfoncée lors du déplacement d'un élément de la barre des tâches pour utiliser l'autre action.


Survol

Tweaks ›› Objets Barre des tâches ››

Définit l'aperçu à afficher lorsque l'on survol un élément de la barre des tâches:

  • Afficher l'aperçu des vignettes (default)

  • Liste

  • Info-bulle

  • Rien


Vignettes

Tweaks ›› Objets Barre des tâches ››

Glisser pour réorganiser

Permet de faire des prévisualisations en miniature et de modifier leur ordre.

Note

En règle générale, la réorganisation des prévisualisations en miniature réorganise également les boutons de la barre des tâches, mais pas toujours. Lorsqu'une application utilise des aperçus de vignette personnalisés (comme Internet Explorer, qui utilise des aperçus de vignette pour ses onglets), les aperçus des vignettes et les boutons de la barre des tâches ne sont pas liés les uns aux autres et le ré-ordonnancement n'affecte pas l'autre.

Le clic gauche sur la vignette active minimise la fenêtre

Si cette option est définie, cliquer sur l'aperçu des vignettes de la fenêtre active va le minimiser.


Objets épinglés

Tweaks ›› Objets Barre des tâches ››

Supprimer l'espace supplémentaire entre les éléments

Réduit l'espace que les objets épinglés occupent entre eux.

Avant

Après

Note

Cette option n'a aucun effet lorsque la barre des tâches est verticale.

Ouvrir avec un double clic

Permet de lancer des objets épinglés par un double clic au lieu d'un simple clic.

Vous pouvez également utiliser un seul clic tout en maintenant la touche Maj.

Vous évite de cliquer accidentellement sur les objets épinglés et de fait les lancement d'applications


Groupement et combinaison

Tweaks ››

Terminologie

Options

  • Groupement
  • Combinaison
  • Clic gauche sur l'objet combiné


Groupement

Tweaks ›› Groupement et combinaison ››

Depuis Windows 7, chaque fenêtre possède une ID d'application. Si elle n'est pas définie par l'application, l'ID d'application est par défaut le chemin de l'image de l'application.
Par défaut, les boutons de la barre des tâches sont regroupés par l'ID d'application de Windows. Cette option vous permet de modifier ce comportement:

  • Groupement par ID d'Application (default)

  • Pas de groupement

Note

Il est possible de contrôler le regroupement selon ID de l'application en utilisant Taskbar Inspector .

Lorsqu'il n'y a pas de regroupement, placez de nouveaux éléments à coté des éléments existant

Lorsque le regroupement est désactivé, les boutons de la barre de tâches nouvellement créés s'affichent à la fin de la barre des tâches. Cette option les fait apparaître à côté de l'élément qu'ils grouperont si le regroupement était activé.

Par exemple, lorsque vous ouvrez une deuxième fenêtre du Bloc-notes, c'est ce que vous obtenez par défaut:

Avec le groupement désactivé, vous obtenez:

Avec le groupement désactivé et que cette option est définie, vous obtenez:

Ne pas grouper les éléments épinglés

Chaque élément épinglé possède une ID d'application, tout comme les boutons de la barre des tâches. Par défaut, lorsqu'un bouton de la barre des tâches avec la même ID d'application que l'élément épinglé est créé, il remplace l'élément épinglé.Cette option permet d'afficher le bouton de la barre des tâches à la fin de la barre des tâches, tandis que l'élément épinglé reste intact.

Par exemple, vous avez un élément épinglé du Bloc-notes:

Par défaut, lorsque vous ouvrez une fenêtre de bloc-notes, vous obtenez:

Avec cette option, vous obtenez:

Note

Il est possible de contrôler le groupement d'objets épinglés par ID d'application en utilisant Taskbar Inspector .

Glisser dans/entre les groupes en utilisant le clic droit de la souris

Cette option vous permet de cliquer avec le bouton droit de la souris sur un bouton de la barre des tâches et de le faire glisser pour changer sa position:

  • Lorsque l'on glisse dans un groupe, cela change la position du bouton de ce groupe dans la barre des tâches.
  • Lorsque l'on glisse en dehors du groupe vers un autre élément de la barre des tâches, cela regroupe le bouton de la barre des tâches avec cet élément de la barre des tâches.
  • Lorsque l'on glisse en dehors de la liste des tâches, cela déplace le bouton de la barre des tâches vers un groupe nouvellement créé.


Combinaison

Tweaks ›› Groupement et combinaison ››

Un groupe de boutons de la barre des tâches peut ou non être combiné, selon les propriétés de la barre des tâches.
Cette option vous permet de la modifier:

  • Utiliser les paramètres de la barre des tâches (default)

Toujours combiner, masquer les étiquettes:

Jamais combiner:

  • Combiner les boutons groupés

Toujours combiner, masquer les étiquettes:
Idem par défaut.
Ne jamais combiner:

  • Ne pas combiner les boutons groupés

Toujours combiner, masquer les étiquettes:

Ne jamais combiner:

Idem par défaut.

Notes

  • Cette option n'a aucun effet lorsque l'option "Combiner lorsque la barre des tâches est pleine" est choisie dans les propriétés de la barre des tâches.
  • Il est possible de contrôler la combinaison par ID d'application en utilisant Taskbar Inspector .

Dé-combiner: ...

Ces options font que les groupes combinés se décomposent sur un événement spécifique:

  • Groupe actif

Lorsqu'une des fenêtres d'un groupe combiné devient active, le groupe se décompose.

  • Au survol de la souris

Lorsque la souris survol un groupe combiné, le groupe se décompose.

... et montrez les étiquettes

Lors de la configuration, les options ci-dessus rendent visible les étiquettes des boutons de la barre des tâches en plus de la dé-combinaison.


Clic gauche sur l'objet combiné

Tweaks ›› Groupement et combinaison ››

Définit l'action à prendre lorsque vous cliquez avec le bouton gauche sur un groupe combiné:

  • Ouvrir l'aperçu des vignettes (par défaut)
  • Faire le tour des fenêtres
  • Ouvrir la dernière fenêtre si inactive, sinon ouvrir un aperçu des vignettes

Si aucune des fenêtres d'un groupe combiné n'est active, passez à la dernière fenêtre active de ce groupe.
Sinon, ouvrez l'aperçu des vignettes.

Note

Maintenez la touche Ctrl enfoncée tout en cliquant sur un groupe combiné pour obtenir l'autre action.


Autres options de la barre des tâches

Tweaks ››

Options

  • Roulette de la souris
  • Double clic et clic du milieu sur l'espace vide
  • Autre


Roulette de la souris

Tweaks ›› Autres options de la barre des tâches ››

Cycle entre les boutons de la barre des tâches

Si cette option est activée, utiliser la roulette de la souris lorsque le curseur est au-dessus de la liste des tâches, elle se déroulera entre les boutons de la barre des tâches.

Ignorer les fenêtres minimisées

Si réglé, les fenêtres minimisées seront ignorées lors du cycle.

Minimiser/restaurer quand l'action de la souris est terminée: ...

Ces options vous permettent de minimiser / restaurer une fenêtre en faisant défiler la molette de la souris lorsque le curseur est sur l'élément correspondant:

  • Boutons de la barre des tâches
  • Vignettes

Contrôle du volume quand l'action de la souris est terminée: ...

Si ce réglage est utilisé, le fait de faire défiler la molette de la souris lorsque le curseur est au dessus de la région spécifiée ouvrira le contrôle du volume:

  • La barre des tâches
  • La zone de notification

Bonus

Lorsque l'une des options ci-dessus est définie, un clic central sur l'icône du contrôle du volume met en sourdine/désactive les haut-parleurs.


Double clic et clic du milieu sur l'espace vide

Tweaks ›› Autres options de la barre des tâches ››

Ces options se réfèrent à l'espace vide de la liste des tâches:

Par défaut, le clic central ou le double clic sur l'espace vide ne fait rien.

Ces options vous permettent de choisir une action à prendre:

  • Rien (par défaut)
  • Montrer bureau
  • Ctrl+Alt+Tab
  • Gestionnaire de tâches
  • Taskbar Inspector
  • Basculer le volume du système sur muet
  • Basculer automatiquement le masquage de la barre des tâches
  • Win+Tab / Ctrl+Win+Tab
  • Menu Démarrer / Écran de démarrage


Autre

Tweaks ›› Autres options de la barre des tâches ››

Masquer le bouton Démarrer.

Pour ouvrir le menu Démarrer dans Windows 7, cliquez dans le coin où se trouvait le bouton Démarrer.

Pour ouvrir l'écran de démarrage dans Windows 8.1, cliquez dans le coin inférieur gauche de l'écran.

Évidemment, cette option n'a aucun effet sur Windows 8, car il n'a pas de bouton de démarrage par défaut.

Avant

Après

Masquer le bouton "Afficher le bureau"

Masque le bouton "Afficher le bureau" à l’extrémité de la barre des tâches.

Avant (pressé)

Après

Afficher les secondes dans la notification de l'heure

Affiche les secondes, en plus des minutes et des heures, dans l'horloge de la barre des tâches.

Réserver l'espace vide dans la barre des tâches

Le tweaker a des options pour le double clic et le clic central en cliquant sur l'espace vide . Cette option réserve un petit carré à la fin de la liste des tâches, où vous pouvez toujours effectuer un double clic / ou clic central.

Avant

Après


Taskbar Inspector

Taskbar Inspector est essentiellement une liste d'éléments de la barre des tâches, regroupés par ID d'application dans la barre des tâches.

Note

Maintenir Ctrl + Maj tout en ouvrant Taskbar Inspector la laissera ouverte même après la perte de focus. Pour le fermer, appuyez sur Échap.

ID Application

Chaque élément non enregistré dans la liste avec l'icône en forme de flèche représente une ID d'application.

Il peut y avoir des objets enfants, qui sont indentés. Ils représentent les boutons de la barre des tâches.

Pour un élément épinglé, l'ID de l'application ne comportera aucun élément enfant.

Pour un bouton de la barre des tâches, l'ID de l'application aura un seul élément enfant.

Pour un groupe de boutons de la barre des tâches, l'ID de l'application aura plusieurs éléments enfants.

Double-cliquez sur un élément ID de l'application pour sélectionner ses éléments enfants.

Cliquez avec le bouton droit de la souris sur un élément de l'ID de l'application (lorsque seul l'élément de l'ID de l'application est sélectionné) fournira les options par ID d'application:

  • Afficher les étiquettes
  • Groupe

En savoir plus sur le groupement ici .

  • Objet groupé

En savoir plus sur le groupement d'éléments épinglés ici .

  • Combiner

En savoir plus sur les combinaisons ici .

  • Trier les éléments du groupe (uniquement lorsque l'ID de l'application comporte plusieurs fenêtres enfant)

Trie par ordre alphabétique.

Boutons barre des tâches

Les éléments indentés de la liste représentent les boutons de la barre des tâches.

Glisser un bouton de la barre des tâches le réorganise dans le groupe.

Cliquez avec le bouton droit de la souris sur un élément de la barre des tâches pour afficher la fenêtre d'options du bouton:

  • Modifier ID Application

Change l'ID d'application de la fenêtre du bouton de la barre de tâches sélectionnée.
En plus des identifiants d'application disponibles, il existe deux options spéciales:

    • Groupe aléatoire [numéro]

Modifie l'ID d'application de la fenêtre par une ID d'application aléatoire générée par le tweaker.
Les boutons de la barre des tâches des ID d'application aléatoires se groupent toujours, même lorsque le groupement est désactivé, ce qui facilite la sélection de plusieurs éléments et les regroupe ensemble.

    • (Restaurer)

Restaure l'ID de l'application Windows par l'ID de l'application par défaut.

  • Cascade (Seulement lorsque plusieurs éléments sont sélectionnés)
  • Carré horizontal (uniquement lorsque plusieurs éléments sont sélectionnés)
  • Carré vertical (uniquement lorsque plusieurs éléments sont sélectionnés)
  • Restaurer
  • Minimiser
  • Maximiser
  • Fermer


Paramètres

Exécuter au démarrage

Définit si le tweaker s'exécute lors du démarrage de Windows.

Note

Ce paramètre crée la valeur de registre "7 Taskbar Tweaker" dans la branche suivante :.

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

La valeur contient le chemin de l'exécutable du tweaker, suivi du commutateur de ligne de commande -hidewnd.

Vérifier les mises à jour

Lorsque cette option est activée, le tweaker vérifie automatiquement les mises à jour.

Lorsqu'une mise à jour est disponible, l'icône de notification affiche une flèche verte et une info-bulle apparaît.

Lorsque vous cliquez sur l'info-bulle, une boîte de dialogue de mise à jour s'ouvre, ce qui vous permet de mettre à jour la nouvelle version en un seul clic.

Vous pouvez également afficher le changelog et désactiver la notification pour cette version particulière.

Note

Le tweaker vérifie les mises à jour toutes les 24 heures.

Mise à jour automatique

Quand cette option est activée, le tweaker se met automatiquement à jour en tâche de fond lorsqu'une nouvelle version est disponible.

Masquer l'icône de notification

Quand l'option est sélectionnée, l'icône de notification du tweaker est masquée.

Pour afficher la boîte de dialogue principale lorsque l'icône de la barre est masquée, exécutez le tweaker.

Pour quitter le tweaker, vous devez rendre l'icône de notification visible.

Choix d'ouverture par clic gauche sur l'icône de notification: ...

Vous permet de choisir la boîte de dialogue à ouvrir lorsque vous cliquez avec le bouton gauche sur l'icône de notification:

  • 7+ Taskbar Tweaker
  • Taskbar Inspector

Langue: ...

Vous permet de choisir la langue de l'interface.

Note

Pour plus de détails sur la traduction du tweaker dans votre langue, consultez la FAQ en ligne .


Options avancèes

7+ Taskbar Tweaker dispose d'options avancées qui offrent une personnalisation supplémentaire.
Vous pouvez utiliser l'Éditeur d'options avancé pour accéder à ces options.
Il peut être ouvert à partir du menu contextuel de l'icône de notification ou par le menu système de la fenêtre principale.


Options étendues

Options avancèes ››

Certaines de ces options étendues vous permettent de régler les aspects du tweaker.
D'autres fournissent des fonctionnalités mineures ou des corrections de bugs.

Valeurs

Nom

Données

always_show_thumb_labels

Par défaut, les prévisualisations en miniature contiennent des étiquettes uniquement lorsque les étiquettes des boutons de la barre des tâches ne sont pas affichées. Cette option rend visible les étiquettes des prévisualisations des vignettes, pour que les étiquettes des boutons de la barre des tâches soient affichées.

0 - Désactivé (par défaut)

1 - Activé

always_show_tooltip

Par défaut, lorsqu'on survol un élément de la barre des tâches, une info-bulle n'est affichée que si le texte ne correspond pas au bouton. Cette option force l'info-bulle à toujours être affichée.

0 - Désactivé (par défaut)

1 - Activé

cycle_same_virtual_desktop

Corrige l'option du Clic gauche sur l'élément combiné pour ne faire que passer par les fenêtres qui appartiennent au bureau virtuel actuel. L'option affecte uniquement Windows 10, jusqu'à Windows 10 Anniversary Update, où l'erreur a été corrigée.

0 - Désactivé (par défaut)

1 - Activé

disable_items_drag

Cette option désactive l'opération de glissement des éléments de la barre des tâches dans la liste des tâches. Cela signifie que la réorganisation des objets n'est plus possible et que la jump list ne s'affiche pas lorsque vous faites glisser un objet vers le bureau.

0 - Désactivé (par défaut)

1 - Activé

disable_taskbar_transparency

Cette option permet de désactiver la transparence de la barre des tâches.

0 - Pas de changement (par défaut)

1 - Désactiver la transparence

2 - Désactiver la transparence, Et utiliser le thème de base pour la couleur de la barre des tâches (Windows 7)

disable_topmost

Par défaut, la barre des tâches est toujours au dessus. Cette option vous permet de modifier ce comportement.

0 - Toujours au dessus (par défaut)

1 - Pas toujours au dessus, mais pas superposé par des fenêtres maximisées

2 - Pas toujours au dessus, et superposé par des fenêtres maximisées

disable_tray_icons_drag

Cette option désactive l'opération de glissement des éléments de la zone de notification. Cela signifie que la réorganisation des objets n'est plus possible.

0 - Désactivé (par défaut)

1 - Activé

drag_towards_desktop

Par défaut, lorsque vous faites glisser un élément de la barre des tâches vers le bureau, la jump list apparaît. Cette option vous permet de choisir une autre fonctionnalité.

0 - Jump list (par défaut)

1 - Désactivé

2 - Basculer vers

3 - Minimiser

4 - Fermer

5 - Nouvelle instance

6 - Afficher l'aperçu des vignettes

fix_hang_reposition

En raison d'un bug Windows, lorsqu'une fenêtre accrochée réagit à nouveau, son bouton de la barre des tâches peut disparaître et réapparaître à la fin de la barre des tâches. Cette option corrige le bug.

0 - Désactivé

1 - Activé (par défaut)

list_reverse_order

Lorsque vous définissez l'option Insérer dans la liste, les nouveaux éléments sont affichés sous les anciens. Cette option vous permet d'inverser l'ordre d'affichage des éléments de la liste.

L'option fonctionne uniquement pour Windows 7, Windows 8 et Windows 8.1.

0 - Désactivé (par défaut)

1 - Activé

multipage_wheel_scroll

Quand la barre des tâches est survolée avec des éléments, elle crée des pages supplémentaires et affiche une barre de défilement. Cette option permet de faire défiler entre plusieurs pages avec la molette de la souris.

0 - Désactivé (par défaut)

1 - Activé

multirow_equal_width

Quand vous utilisez une barre des tâches avec plusieurs lignes, cette option force les éléments sur chaque ligne à avoir la même largeur. Notez que l'option n'a aucun effet lorsqu'il existe des éléments groupés, combinés ou épinglés sur la barre des tâches.

0 - Désactivé (par défaut)

1 - Activé

no_start_btn_spacing

Quand l'option Masquer le bouton Démarrer est activée, cette option vous permet de contrôler l'espacement entre le bord de la barre des tâches et la liste des tâches. La taille d'espacement par défaut est de 13 pixels pour Windows 7 et Windows 8.1 et nul pour Windows 10.

0 - Désactivé (par défaut)

> 0 - Taille d'espacement, en pixels

no_width_limit

Par défaut, Windows limite la largeur verticale minimale de la barre des tâches. La limite peut sembler trop restrictive pour certains, donc cette option la supprime.

0 - Désactivé (par défaut)

1 - Activé

nocheck_minimize

nocheck_maximize

nocheck_close

Par défaut, avant de minimiser / maximiser / fermer une fenêtre, le tweaker vérifie si la fenêtre prend en charge cette opération. Ces options vous permettent de désactivez les contrôles. Notez que cela pourrait conduire à des comportements inattendus.

Utilisé dans: Options du clic central, Options minimisant l'utilisation de la roulette de la souris, Taskbar Inspector .

0 - Désactivé (par défaut)

1 - Activé

pinned_ungrouped_animate_launch

Lorsque l'option ne pas grouper les éléments épinglés est définie, l'animation est désactivée lorsque vous cliquez sur un élément épinglé. Cette option empêche qu'elle ne soit désactivée.

0 - Désactivé (par défaut)

1 - Activé

right_drag_toggle_labels

Ajoute une fonctionnalité supplémentaire à l'option Glisser dedans/entre les groupes en utilisant le bouton droit de la souris Lorsque cette option est définie, faire défiler la roulette de la souris tout en maintenant le bouton droit de la souris affichera / masquera l'étiquette de l'ID de l'application du bouton de la barre de tâches.

0 - Désactivé (par défaut)

1 - Activé

scroll_maximize_restore

Prolonge l'option minimiser/restaurer quand l'action de la souris est terminée... pour basculer entre minimiser / restaurer / maximiser.

0 - Désactivé (par défaut)

1 - Activé

scroll_no_wrap

Désactive l'option d'empaquetage autour du comportement entre les boutons de la barre des tâches .

Par défaut, si le dernier bouton de la barre des tâches est le bouton actif, le cycle activera à nouveau le premier bouton. Cette option permet de désactiver ce comportement, de sorte que le cycle s'arrête sur le dernier bouton de la barre des tâches.

0 - Désactivé (par défaut)

1 - Activé

scroll_reverse_cycle

Inverse la direction de la roulette de la souris pour l'option cycle entre les boutons de la barre des tâches Par défaut, le défilement vers le bas se déroulera vers la droite sur la liste des tâches, et le défilement vers le haut se déroulera vers la gauche. Cette option inverse le sens de défilement.

0 - Désactivé (par défaut)

1 - Activé

scroll_reverse_minimize

Inverse la direction de la roue de la souris pour les options minimiser/restaurer quand l'action de la souris est terminée... .

Par défaut, le défilement vers le bas minimisera la fenêtre, et le défilement vers le haut le restaurera (à moins que la barre des tâches ne soit placée au dessus). Cette option inverse le sens de défilement.

0 - Désactivé (par défaut)

1 - Activé

show_desktop_button_size

Permet de personnaliser la taille du bouton "Afficher le bureau".

Taille par défaut: 15 pixels pour Windows 7 et Windows 8, 8 pixels pour Windows 8.1, 5 pixels pour Windows 10.

0 - Désactivé (par défaut)

> 0 - Taille du bouton, en pixels

show_desktop_on_hover

Cette option permet à la barre des tâches d'afficher le bureau lorsqu'un fichier est glissé sur l'espace vide de la liste de tâches, de la même manière que cela fonctionne avec le bouton "Afficher le bureau". Cette fonctionnalité est semblable à celle sur Windows XP.

0 - Désactivé (par défaut)

1 - Activé

sndvol_tooltip

L'option Contrôle du volume utilise le programme de contrôle du volume de Windows comme indicateur. Cette option permet d'utiliser une info-bulle à la place.

0 - Désactivé (par défaut)

1 - Activé

tray_clock_fix_width

Même lorsque la date n'est pas affichée dans la zone de notification de l'horloge (lorsque vous utilisez de petites icônes), la largeur est calculée en fonction de l'heure et de la largeur du texte de la date. Cette option corrige ce problème, de sorte que lorsque seule l'horloge est affichée, la largeur du texte de la date n'est pas prise en compte.

Le bug a été officiellement corrigé dans Windows 10 Anniversary Update.

0 - Désactivé (par défaut)

1 - Activé

tray_icons_padding

Permet de personnaliser l'espace entre les icônes dans la zone de notification.

Jusqu'à Windows 10: L'espacement par défaut est de 8 pixels. L'option permet de définir une taille d'espace différente, en pixels.

Remarque: dans les premières versions de Windows (par exemple Windows XP), l'espace était égal à 2 pixels.

Depuis Windows 10: L'option permet d'augmenter la taille de l'espace par défaut entre les icônes, en utilisant un algorithme de calcul d'espacement interne.

0 - Désactivé (par défaut)

> 0 - La taille de l'espace entre les icônes de la barre des tâches

virtual_desktop_order_fix

Windows 10 introduit la fonctionnalité de postes de travail virtuels, mais il a une limitation: la réorganisation personnalisée des boutons de la barre des tâches dans la liste des tâches n'est pas conservée entre les commutateurs de bureau virtuels. Cette option permet à l'explorateur de conserver l'ordre personnalisé.

0 - Désactivé (par défaut)

1 - Activé

w10_large_icons

Lors de l'utilisation de grandes icônes, leur taille était 32x32 sur les versions antérieures de Windows. Sur Windows 10, la taille par défaut est 24x24. Cette option permet d'avoir à nouveau des icônes de taille 32x32.

0 - Désactivé (par défaut)

1 - Activé

w7_show_desktop_classic_corner

Correction d'un bug de Windows 7: lorsque le thème classique est utilisé, cliquez sur le coin de l'écran où le bouton "Afficher le bureau" est situé n'active pas le bouton.

0 - Désactivé (par défaut)

1 - Activé

w7_tasklist_htclient

Par défaut, la barre des tâches de Windows 7 agit comme un contrôle mobile, même si elle est verrouillée. Cela empêche de recevoir des notifications du clic gauche, et elles ne peuvent pas être personnalisées à l'aide des options du Contrôle des boutons de la souris Cette option permet de se comporter comme un contrôle statique lorsqu'il est verrouillé, ce qui permet une personnalisation du clic gauche.

Remarque: Windows 8 se comporte correctement, cette option n'a donc aucun effet sur celui-ci.

0 - Désactivé (par défaut)

1 - Activé


Contrôle des boutons de la souris

Options avancèes ››

Ceux-ci vous permettent de mapper différents événements de clic de souris à des actions sur la barre des tâches.
Notez que ces options ont une priorité plus élevée que les réglages standard.

Nom de la valeur

Le nom de la valeur définit l'élément cible, l'événement de clic de la souris et les touches de modification.

Élément cible

Pour l'instant, ceux-ci sont pris en charge:

  • taskbaritem - Un élément de la barre des tâches.
  • emptyspace - L'espace vide de la liste des tâches.
  • volumeicon - L'icône de notification volume / haut-parleur.
  • showdesktop - Le bouton "Afficher le bureau".

Événement de clic de souris

L'un des suivants:

  • lclick - Clic gauche.
  • ldblclick - Double clic gauche.
  • rclick - Clic droit.
  • rdblclick - Double clic droit.
  • mclick - Clic du milieu.
  • mdblclick - Double clic du milieu.
  • x1click - Premier clic X (bouton 4).
  • x1dblclick - Premier double clic X (bouton 4).
  • x2click - Deuxième clic X (bouton 5).
  • x2dblclick - Deuxième double clic X (bouton 5).

Les boutons X (boutons 4 et 5) se réfèrent à une souris à 5 boutons.

Touches de modification

Un ou plusieurs des éléments suivants:

  • ctrl
  • shift (Maj)

Les rassembler

Le nom de la valeur finale ressemble à ceci:

target_element|mouse_click_event+modifier1+modifier2

Par exemple:

  • taskbaritem|ctrl+shift+lclick - Un clic gauche sur un élément de la barre des tâches, lorsque ctrl et shift (Maj) sont en panne.
  • emptyspace|x1dblclick - Un double clic bouton 4 sur l'espace vide de la liste des tâches.

Données de valeur

Les données de valeurs définissent l'action pour mapper l'événement du clic de souris.

La signification des données de valeur dépend de l'élément cible:

taskbaritem

  • 1 - Basculer vers
  • 2 - Minimiser
  • 3 - Fermer
  • 4 - Nouvelle instance
  • 5 - Jump list
  • 6 - Menu standard
  • 7 - Afficher l'aperçu des vignettes
  • 8 - Terminer le processus
  • 9 - Minimiser tous les éléments du groupe
  • 10 - Fermer tous les éléments du groupe
  • 11 - Maximiser tous les éléments du groupe
  • 12 - Restaurer tous les éléments du groupe
  • 13 - Maximiser
  • 14 - Restaurer
  • 15 - Alphabetically sort group items

emptyspace

volumeicon

showdesktop

  • 1 - Afficher le bureau
  • 2 - Ctrl+Alt+Tab
  • 3 - Gestionnaire de tâches
  • 4 - Taskbar Inspector
  • 5 - Basculer le volume du système sur muet
  • 6 - Basculer le masquage automatique de la barre des tâches
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Menu Démarrer / Écran de démarrage
  • 101 - Passez à la fenêtre située sur la gauche vers la fenêtre active de la barre des tâches.
  • 102 - Passez à la fenêtre située sur la droite de la fenêtre active de la barre des tâches.
  • 103 - Identique à 101, et ignorer les fenêtres minimisées.
  • 104 - Identique à 102, et ignorer les fenêtres minimisées.

Examples

  • taskbaritem|ctrl+shift+lclick - 3 - Un clic gauche sur un bouton de la barre des tâches, lorsque ctrl et shift (Maj) sont en panne, ferme la fenêtre.
  • emptyspace|x1dblclick - 1 - Un double clic du bouton 4 sur l'espace vide de la liste des tâches qui montre le bureau.


Raccourcis clavier

Options avancèes ››

Ces options vous permettent de mapper les raccourcis clavier aux actions sur la barre des tâches.

Nom de la valeur

Le nom de la valeur définit la touche de raccourci et les touches de modification.

Touche de raccourci

La touche de raccourci est représentée par un code de clé virtuelle.

Il peut s'agir d'un nombre décimal ou hexadécimal, tandis que celui-ci doit être préfixé avec "0x".

La liste complète des codes clés virtuels peut être consultée sur le site Web de Microsoft.

Touches de modification

Un ou plusieurs des éléments suivants:

  • alt
  • ctrl
  • shift (Maj)
  • win
  • norepeat - Empêche le système d'envoyer plusieurs notifications lorsque la clé est retenue.

Le rassembler

Le nom de la valeur finale ressemble à ceci:

shortcut_key|modifier1+modifier2

Par exemple:

  • 0x27|ctrl+shift - Ctrl+Shift+Right. (Ctrl+Maj+Droite)
  • 65|ctrl+alt+norepeat - Ctrl+Alt+A. Se déclenche une fois, même si le raccourci est retenu pendant une longue période.

Données de valeur

Les données de valeurs définissent l'action à prendre lorsque vous appuyez sur le raccourci clavier.

  • 1 - Afficher le bureau
  • 2 - Ctrl+Alt+Tab
  • 3 - Gestionnaire de tâches
  • 4 - Taskbar Inspector
  • 5 - Basculer le volume du système sur muet
  • 6 - Basculer le masquage automatique de la barre des tâches
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Menu Démarrer / Écran de démarrage
  • 101 - Passez à la fenêtre située sur la gauche vers la fenêtre active de la barre des tâches.
  • 102 - Passez à la fenêtre située sur la droite de la fenêtre active de la barre des tâches.
  • 103 - Identique à 101, et ignorer les fenêtres minimisées.
  • 104 - Identique à 102, et ignorer les fenêtres minimisées.

Examples

  • 0x25|ctrl+shift - 103 - Ctrl+Shift+Left - Se déplacer vers la gauche à l'aide des boutons de la barre des tâches tout en ignorant les fenêtres minimisées.
  • 0x27|ctrl+shift - 104 - Ctrl+Shift+Right - Se déplacer vers la droite à l'aide des boutons de la barre des tâches, tout en ignorant les fenêtres minimisées.
  • 65|ctrl+alt+norepeat - 4 - Ctrl+Alt+A ouvrir Taskbar Inspector. Se déclenche une fois, même si le raccourci est retenu pendant une longue période.